Page MenuHomePhabricator

[RISCV] Mark TLS as supported
ClosedPublic

Authored by lewis-revill on Jan 22 2019, 7:38 AM.

Details

Diff Detail

Repository
rC Clang

Event Timeline

lewis-revill created this revision.Jan 22 2019, 7:38 AM
jrtc27 requested changes to this revision.Jan 22 2019, 7:42 AM
jrtc27 added inline comments.
lib/Basic/Targets/RISCV.h
37–38

With the exception of SystemZTargetInfo, all CPU target info classes rely on the base already initialising it to true by default, so you can just delete this line.

This revision now requires changes to proceed.Jan 22 2019, 7:42 AM

Rely on default value rather than explicitly marking TLSSupported as true.

lewis-revill marked an inline comment as done.Jan 22 2019, 8:03 AM
asb added a comment.Jan 30 2019, 1:55 AM

Could you add a test for this? I'm not sure if this is best done with a test that uses __has_feature or otherwise (I note other targets don't seem to have similar tests currently), but I think it would be handy.

Added RISC-V to thread specifier test as a means of checking TLS is supported.

Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2019, 4:43 AM
asb accepted this revision.Jun 18 2019, 9:33 PM

LGTM, thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Jun 19 2019, 1:50 AM
Closed by commit rL363776: [RISCV] Mark TLS as supported (authored by lewis-revill, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 19 2019, 1:50 AM